### Hierarchy

- Parser

### Implements

- IParser

## Index

### Constructors

- constructor

### Properties

- columnDefinitions
- content
- defaultCellStyle
- filters
- groupTagged
- grouped
- groupedContent
- helpers
- sorting
- utils
- visibleGroups

### Methods

- applyFilters
- applySorting
- cellRenderer
- createCell
- headerRenderer
- mergeCells
- parse
- setColumnDefinitions
- setDefaultCellStyleProperties
- toggleGroup

## Constructors

### constructor

- new Parser(): Parser

- - Defined in Page/Parser.ts:169

  #### Returns Parser

## Properties

### columnDefinitions

columnDefinitions: IParserColumnDefinitions = []

Implementation of IParser.columnDefinitions

- Defined in Page/Parser.ts:164

### content

content: IPageContent = [[]]

Implementation of IParser.content

- Defined in Page/Parser.ts:162

### defaultCellStyle

defaultCellStyle: IPageCellStyle

Implementation of IParser.defaultCellStyle

- Defined in Page/Parser.ts:167

### filters

filters: IParserFilter[] = []

Implementation of IParser.filters

- Defined in Page/Parser.ts:160

### groupTagged

groupTagged: boolean = false

Implementation of IParser.groupTagged

- Defined in Page/Parser.ts:169

### grouped

grouped: boolean = false

Implementation of IParser.grouped

- Defined in Page/Parser.ts:159

### groupedContent

groupedContent: IParserGroupedContent = [[]]

Implementation of IParser.groupedContent

- Defined in Page/Parser.ts:163

### helpers

helpers: IHelpers

- Defined in Page/Parser.ts:168

### sorting

sorting: IParserSorting | null = null

Implementation of IParser.sorting

- Defined in Page/Parser.ts:161

### utils

utils: IUtils

Implementation of IParser.utils

- Defined in Page/Parser.ts:166

### visibleGroups

visibleGroups: IParserVisibleGroups = []

Implementation of IParser.visibleGroups

- Defined in Page/Parser.ts:165

## Methods

### Private applyFilters

- applyFilters(): IParserGroupedContent

- - Defined in Page/Parser.ts:347

  #### Returns IParserGroupedContent

### Private applySorting

- applySorting(content: IParserGroupedContent): IParserGroupedContent

- - Defined in Page/Parser.ts:320

  #### Parameters

  - ##### content: IParserGroupedContent

  #### Returns IParserGroupedContent

### cellRenderer

- cellRenderer(params: IParserParams): IParserCellRenderer | null

- Implementation of IParser.cellRenderer

  - Defined in Page/Parser.ts:276

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCellRenderer | null

### Private createCell

- createCell(params: IParserParams): IParserCell

- - Defined in Page/Parser.ts:279

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCell

### headerRenderer

- headerRenderer(params: IParserParams): IParserCellRenderer | null

- Implementation of IParser.headerRenderer

  - Defined in Page/Parser.ts:273

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCellRenderer | null

### Private mergeCells

- mergeCells(cell: IParserCell, overides: IParserCellRenderer | null): IParserCell

- - Defined in Page/Parser.ts:415

  #### Parameters

  - ##### cell: IParserCell

  - ##### overides: IParserCellRenderer | null

  #### Returns IParserCell

### parse

- parse(): IParserContent

- Implementation of IParser.parse

  - Defined in Page/Parser.ts:182

  #### Returns IParserContent

### setColumnDefinitions

- setColumnDefinitions(definitions?: any[]): void

- Implementation of IParser.setColumnDefinitions

  - Defined in Page/Parser.ts:266

  #### Parameters

  - ##### Default value definitions: any[] = []

  #### Returns void

### setDefaultCellStyleProperties

- setDefaultCellStyleProperties(style: IPageCellStyle): void

- Implementation of IParser.setDefaultCellStyleProperties

  - Defined in Page/Parser.ts:263

  #### Parameters

  - ##### style: IPageCellStyle

  #### Returns void

### toggleGroup

- toggleGroup(index: number): void

- Implementation of IParser.toggleGroup

  - Defined in Page/Parser.ts:175

  #### Parameters

  - ##### index: number

  #### Returns void

Generated using TypeDoc